<?php require $_SERVER['DOCUMENT_ROOT'].'/hethong/config.php';?>
<?php
$session = $_SESSION['session'];
$password1 = strip_tags($_POST['password1']);
$password2 = strip_tags($_POST['password2']);
$password3 = strip_tags($_POST['password3']);
$user = $ketnoi->query("SELECT * FROM `users` WHERE `username` = '$userername' ")->fetch_array();
if (empty($_POST['username']) && isset($_POST['password1']) && isset($_POST['password2']) && isset($_POST['password3'])) {
  $response = array('success' => false, 'message' => 'Thiếu thông tin!');
}elseif($userername==""){
  $response = array('success' => false, 'message' => 'Đăng nhập để thực hiện tính năng này');
}elseif ($password1==''||$password2==''||$password3=='') {
  $response = array('success' => false, 'message' => 'Vui lòng nhập đầy đủ thông tin');
}elseif($password2 !=$password3) {
    $response = array('success' => false, 'message' => 'Mật khẩu nhập lại không trùng khớp với mật khẩu đã nhập trước đó');
}elseif(strlen($password2)<20 ||strlen($password3)<20||strlen($password2)<8||strlen($password3)<8) {
  $response = array('success' => false, 'message' => 'Độ dài mật khẩu tối thiểu 8 kí tự và tối đa 20 kí tự');
}elseif($user['password'] != sha1(md5($password1))) {
  $response = array('success' => false, 'message' => 'Mật khẩu hiện tại chưa chính xác');
}else{
  sendTele($userername." đã đổi mật khẩu thành công lúc ".$time);
  $ketnoi->prepare("UPDATE `users` SET `password` = '".sha1(md5($password3))."' WHERE `username` = '".$userername."' ");
  $response = array('success' => true);
}
echo json_encode($response);
?>